AOZ Studio Beta - Bug #607

Digital joystick functions do not work in Firefox.
12/06/2020 12:11 PM - Brian Flanagan

Status: Closed Start date: 12/06/2020
Priority: Low Due date:

Assignee: Brian Flanagan % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: Beta 2

Description

I've known about this one for a while, but for some reason had never reported the problem.
Since Firefox has a different implementation of the Gamepad API, the axes are different.

I made an adjustment to the Gamepad/Joystick functions to compensate for this.

History

#1 - 12/06/2020 12:11 PM - Brian Flanagan

- Status changed from New to Resolved

#2 - 07/15/2021 12:55 PM - Brian Flanagan

- Status changed from Resolved to Closed
Verified working!

#3 - 10/01/2021 11:39 PM - malcolm harvey

Current issue with firefox using the below code, works ok in chrome,edge,opera,brave
If you move joystick left and right only in firefox it is not correct. (Wrong direction moves it).

eg:

#splashScreen:false
#manifest:"aoz"

XLOGO =10
YLOGO =50

Actor "pixL", Image$="pixI|_logo.png", X=XLOGO, Y=YLOGO
Do

if JLeft(0) Then XLOGO = XLOGO -10

if JRight(0) Then XLOGO = XLOGO +10

Actor "pixL", XLOGO,YLOGO

Wait Vbl
Loop
